
//
// Contants.cs
//
// Author:
//   Tomas Restrepo (tomasr@mvps.org)
//


using System;

namespace Winterdom.BizTalk.Pipelines.Tracer
{

   /// <summary>
   /// Names of macros we can expand
   /// </summary>
   internal sealed class MacroNames
   {
      /// <summary>
      /// internal so that we can't be instantiated
      /// </summary>
      private MacroNames()
      {
      }

      /// <summary>
      /// Message ID
      /// </summary>
      public const string MessageID = "MessageID";
      /// <summary>
      /// Inbound adapter type
      /// </summary>
      public const string InboundTransportType = "InboundTransportType";
      /// <summary>
      /// Outbound adapter type
      /// </summary>
      public const string OutboundTransportType = "OutboundTransportType";
      /// <summary>
      /// Receive port name
      /// </summary>
      public const string ReceivePortName = "ReceivePortName";
      /// <summary>
      /// Interchange ID
      /// </summary>
      public const string InterchangeID = "InterchangeID";
      /// <summary>
      /// Date Time
      /// </summary>
      public const string DateTime = "datetime";
      public const string DateTimeTZ = "datetime.tz";
      public const string Time = "time";
      public const string TimeTZ = "time.tz";

   } // class MacroNames


   
   /// <summary>
   /// Namespaces of message context
   /// properties we manipulate
   /// </summary>
   internal sealed class ContextPropNS
   {
      /// <summary>
      /// Private so we can't be instantiated
      /// </summary>
      private ContextPropNS()
      {
      }

      /// <summary>
      /// System properties
      /// </summary>
      public const string BTS = 
         "http://schemas.microsoft.com/BizTalk/2003/system-properties";

   } // class ContextPropNS

} // namespace Winterdom.BizTalk.Pipelines.Tracer