
//
// TracerDescriptionAttribute.cs
//
// Author:
//   Tomas Restrepo (tomasr@mvps.org)
//

using System;
using System.ComponentModel;

namespace Winterdom.BizTalk.Pipelines.Tracer
{
   /// <summary>
   /// DescriptionAttribute-derived class
   /// to provide the localized resources
   /// </summary>
   [ AttributeUsage(AttributeTargets.All) ]
   public class TracerDescriptionAttribute : DescriptionAttribute
   {
      private string _desc;

      public override string Description {
         get { return TracerResources.GetString(_desc); }
      }

      public TracerDescriptionAttribute(string desc)
      {
         _desc = desc;
      }

   } // class TracerDescriptionAttribute

} // namespace Winterdom.BizTalk.Pipelines.Tracer

