
//
// TracerResources.cs
//
// Author:
//   Tomas Restrepo (tomasr@mvps.org)
//


using System;
using System.Drawing;
using System.Reflection;
using System.Resources;


namespace Winterdom.BizTalk.Pipelines.Tracer
{

   /// <summary>
   /// Internal class that gives access
   /// to localizable resources
   /// </summary>
   internal sealed class TracerResources
   {
      private static ResourceManager _rm = 
         new ResourceManager("Winterdom.BizTalk.Pipelines.Tracer.Resources", Assembly.GetExecutingAssembly());

      private TracerResources()
      {
      }

      public static string TracerName {
         get { return _rm.GetString("TracerName"); }
      }

      public static string TracerDescription {
         get { return _rm.GetString("TracerDescription"); }
      }

      public static string TracerPathPropDesc {
         get { return _rm.GetString("TracerPathPropDesc"); }
      }

      public static string ErrorCreateFile {
         get { return _rm.GetString("ErrorCreateFile"); }
      }

      public static Bitmap TracerIcon {
         get { return (Bitmap)_rm.GetObject("TracerIcon"); }
      }


      public static string GetString(string name)
      {
         return _rm.GetString(name);
      }


   } // class TracerResources

} // namespace Winterdom.BizTalk.Pipelines.Tracer
